## Базовые методы Moneta SDK PHP

[Документация Монеты](https://docs.moneta.ru/)  

* [Генерация ссылки на оплату с помощью MONETA.Assistant](#Генерация-платежа-assistant)
* [Документация SDK](#Документация)
---

### Генерация ссылки на оплату с помощью MONETA.Assistant<a name="Генерация-платежа-assistant"></a>  

[Создание платежа в документации](https://docs.moneta.ru/protocols/#get-/-ASSTNT--payment)

Чтобы сгенерировать ссылку на оплату, нужно создать объект `MonetaSdk`. Он принимает следующие параметры:  
    1. ID заказа*;  
    2. Сумма заказа*;
    3. Описание заказа.  

`*` --- обязательный параметр. Должен быть передан.  

Затем вам требуется вызвать метод `getAssistantPaymentLink`. В ответе вам вернется ссылка на оплату, на которую вы должны переадресовать плательщика.  

```php
include_once('vendor/autoload.php');

$mSdk = new Moneta\MonetaSdk(uniqid('', true), 123.45);
$paymentLink = $mSdk->getAssistantPaymentLink();

if(!empty($paymentLink)){
    header('Location: ' . $paymentLink);
} 
```
---
## Документация SDK <a name="Документация"></a>  
- #### [Описание config-файлов](config.md);
- #### [Обработка http-уведомлений от Монеты](notifications.md);
- #### [Методы MerchantAPI](merchantAPI.md).