## Настройки Moneta SDK PHP

Все файлы с настройками лежат по пути `moneta-sdk-new/config/`. Все настройки возвращают ассоциативный массив (ключ - значение).      

[Документация Монеты](https://docs.moneta.ru/)  

* [Описание account.php](#Описание-account)  
* [Описание api.php](#Описание-api)  
* [Описание url.php](#Описание-url)  
* [Документация SDK](#Документация)  
---
1.  `account.php` <a name="Описание-account"></a> --- данные от учетной записи:   
	`id`* --- номер бизнес-счета в системе Монета;  
	`secret`* --- код проверки целостности данных, указанный в настройках счета в [Монета | PayAnyWay](https://www.payanyway.ru/backoffice/accounts/business);  
	`demo_mode` --- ставится значение `true`, если тестируете интеграцию на демо-стенде (demo.moneta.ru);  
	`username`** --- логин от личного кабинета [Монета | PayAnyWay](https://www.payanyway.ru/backoffice/auth/signin);  
	`password`** --- пароль от личного кабинета [Монета | PayAnyWay](https://www.payanyway.ru/backoffice/auth/signin);  
	`payment_password`** --- платежный пароль, указанный в настройках счета в [Монета | PayAnyWay](https://www.payanyway.ru/backoffice/accounts/business);  
	`locale` --- локализация. `ru` -- русская локализация, `en` -- английская. Используется при вызове платежной формы;  
	`currency` --- валюта. Пока доступно только одно значение -- `RUB`;  
	`unit_id` --- платежная система по умолчанию. При отображении платежной формы, позволяет выводить первым указанную платежную систему, например, СБП. Доступные значения платежных систем можно найти в разделе "Счета" → "Настройки способа оплаты" → "Разработчику" → "paymentSystem.unitId";  
	`limit_ids` → ограниченный список платежных систем на платежной форме. Позволяет оставить на платежной форме только указанные платежные системы. Например, только СБП и SberPay.  

Параметры, отмеченные `*`, являются обязательными.
Параметры, отмеченные `**`, являются обязательными, если вы планируете использовать методы MerchantAPI.  

2. `api.php` <a name="Описание-api"></a> --- системные параметры для MerchantAPI, **изменять их не нужно**:  
    `payment_url` --- url-ы, на которые шлются запросы;  
    `urn` --- urn, который используется для запросов при указании в заголовке запроса `username` и `password`;  

3. `url.php` <a name="Описание-url"></a> --- адреса на страницы интернет-магазина, куда осуществляется перевод пользователя после обработки формы оплаты заказа:  
    `success` --- страница магазина, на которой информируется успешный приеме платежа;  
    `fail` --- страница магазина, где отображается информация о неудачной оплате;  
    `inprogress` --- страница магазина, где отображается информация о том, что платёж находится в процессе обработки;  
    `return` --- страница магазина, куда пользователь попадает после завершения оплаты заказа;  
    `iframe_target` --- одно из значений — `_parent`, `_blank`, `_self_`, , `_top_`, которое используется для настройки окна возврата при интеграции страницы оплаты в iframe. Речь идёт об использовании виджета оплаты заказа вместо полноценной страницы оплаты.  

## Документация SDK <a name="Документация"></a>  
- #### [Базовые методы](baseMethods.md);
- #### [Обработка http-уведомлений от Монеты](notifications.md);
- #### [Методы MerchantAPI](merchantAPI.md).